using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using Tao.OpenGl;

namespace Log740
{
    class TextGL : ObjectGL
    {
        public String text;
        protected Viewer view;

        public TextGL(Viewer view, string text)
        {
            this.view = view;
            this.text = text;
        }

        protected override void DrawInternal()
        {
            Gl.glRasterPos3d(this.location.X, this.location.Y, this.location.Z);
            view.glPrint(text);
        }
    }
}
